Overview | Modules | Class Hierarchy | Classes | Members

# tlp::Dependency Struct Reference
[Plugins]

`#include <WithDependency.h>`

List of all members.

## Public Member Functions

- Dependency (std::string fName, std::string pName, std::string pRelease)

## Public Attributes

- std::string factoryName
- std::string pluginName
- std::string pluginRelease

## Constructor & Destructor Documentation

tlp::Dependency::Dependency | ( | std::string | fName,
|  | std::string | pName,
|  | std::string | pRelease
| ) | `[inline]`

## Member Data Documentation

std::string tlp::Dependency::factoryName

std::string tlp::Dependency::pluginName

std::string tlp::Dependency::pluginRelease

Tulip Software by LaBRI Visualization Team 2001 - 2010